Index: /branches/2012/dev_MERGE_2012/DOC/TexFiles/Chapters/Chap_SBC.tex
===================================================================
--- /branches/2012/dev_MERGE_2012/DOC/TexFiles/Chapters/Chap_SBC.tex	(revision 3698)
+++ /branches/2012/dev_MERGE_2012/DOC/TexFiles/Chapters/Chap_SBC.tex	(revision 3699)
@@ -438,4 +438,8 @@
 \label{SAS_iof}
 
+%---------------------------------------namsbc_ana--------------------------------------------------
+\namdisplay{namsbc_sas}
+%--------------------------------------------------------------------------------------------------------------
+
 In some circumstances it may be useful to avoid calculating the 3D temperature, salinity and velocity fields and
 simply read them in from  a previous run.  For example:
@@ -448,5 +452,5 @@
 
 The StandAlone Surface scheme provides this utility.
-A new copy of the model has to be compiled with a configuration based on ORCA2_SAS_LIM.
+A new copy of the model has to be compiled with a configuration based on ORCA2\_SAS\_LIM.
 However no namelist parameters need be changed from the settings of the previous run (except perhaps nn{\_}date0)
 In this configuration, a few routines in the standard model are overriden by new versions.
@@ -454,24 +458,24 @@
 
 \begin{enumerate}
-\item  nemogcm.F90
+\item  \mdl{nemogcm}
 
        This routine initialises the rest of the model and repeatedly calls the stp time stepping routine (step.F90)
        Since the ocean state is not calculated all associated initialisations have been removed.
-\item  step.F90
+\item  \mdl{step}
 
        The main time stepping routine now only needs to call the sbc routine (and a few utility functions).
-\item  sbcmod.F90
+\item  \mdl{sbcmod}
 
        This has been cut down and now only calculates surface forcing and the ice model required.  New surface modules
        that can function when only the surface level of the ocean state is defined can also be added (e.g. icebergs).
-\item  daymod.F90
+\item  \mdl{daymod}
 
        No ocean restarts are read or written (though the ice model restarts are retained), so calls to restart functions
        have been removed.  This also means that the calendar cannot be controlled by time in a restart file, so the user
        must make sure that nn{\_}date0 in the model namelist is correct for his or her purposes.
-\item  stpctl.F90
-
-       Since there is no free surface solver, references to it have been removed from stp_ctl.
-\item  diawri.F90
+\item  \mdl{stpctl}
+
+       Since there is no free surface solver, references to it have been removed from \rou{stp\_ctl} module.
+\item  \mdl{diawri}
 
        All 3D data have been removed from the output.  The surface temperature, salinity and velocity components (which
@@ -482,6 +486,6 @@
 
 \begin{enumerate}
-\item  sbcsas.F90
-       This routine initialises the input files needed for reading temperature, salinity and velocity arrays at the surface.
+\item  \mdl{sbcsas}
+       This module initialises the input files needed for reading temperature, salinity and velocity arrays at the surface.
        These filenames are supplied in namelist namsbc{\_}sas.  Unfortunately because of limitations with the \mdl{iom} module,
        the full 3D fields from the mean files have to be read in and interpolated in time, before using just the top level.
Index: /branches/2012/dev_MERGE_2012/DOC/TexFiles/Namelist/namsbc_sas
===================================================================
--- /branches/2012/dev_MERGE_2012/DOC/TexFiles/Namelist/namsbc_sas	(revision 3699)
+++ /branches/2012/dev_MERGE_2012/DOC/TexFiles/Namelist/namsbc_sas	(revision 3699)
@@ -0,0 +1,14 @@
+!-----------------------------------------------------------------------
+&namsbc_sas    !   analytical surface boundary condition
+!-----------------------------------------------------------------------
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_usp      = 'sas_grid_U' ,    120    , 'vozocrtx' ,  .true.    , .true. ,   'yearly'  , ''       , ''         
+   sn_vsp      = 'sas_grid_V' ,    120    , 'vomecrty' ,  .true.    , .true. ,   'yearly'  , ''       , ''         
+   sn_tem      = 'sas_grid_T' ,    120    , 'sosstsst' ,  .true.    , .true. ,   'yearly'  , ''       , ''         
+   sn_sal      = 'sas_grid_T' ,    120    , 'sosaline' ,  .true.    , .true. ,   'yearly'  , ''       , ''         
+   sn_ssh      = 'sas_grid_T' ,    120    , 'sossheig' ,  .true.    , .true. ,   'yearly'  , ''       , ''         
+
+   ln_3d_uv    = .true.    !  specify whether we are supplying a 3D u,v field
+   cn_dir      = './'      !  root directory for the location of the bulk files are
+/