Index: branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/AMM12/EXP00/namelist
===================================================================
--- branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/AMM12/EXP00/namelist	(revision 3697)
+++ branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/AMM12/EXP00/namelist	(revision 3764)
@@ -3,5 +3,5 @@
 !! namelists    2 - Domain           (namzgr, namzgr_sco, namdom, namtsd)
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
-!!                                    namsbc_cpl, namtra_qsr, namsbc_rnf, 
+!!                                    namsbc_cpl, namtra_qsr, namsbc_rnf,
 !!                                    namsbc_apr, namsbc_ssr, namsbc_alb)
 !!              4 - lateral boundary (namlbc, namcla, namobc, namagrif, nambdy, nambdy_tide)
@@ -25,5 +25,5 @@
 !-----------------------------------------------------------------------
    nn_no       =       0   !  job number (no more used...)
-   cn_exp      =  "AMM12"  !  experience name 
+   cn_exp      =  "AMM12"  !  experience name
    nn_it000    =       1   !  first time step
    nn_itend    =    2880   !  last  time step (std 1 day = 288)
@@ -52,5 +52,5 @@
 !!   namzgr_sco   s-coordinate or hybrid z-s-coordinate
 !!   namdom       space and time domain (bathymetry, mesh, timestep)
-!!   namtsd       data: temperature & salinity                         
+!!   namtsd       data: temperature & salinity
 !!======================================================================
 !
@@ -107,5 +107,5 @@
 /
 !-----------------------------------------------------------------------
-&namtsd    !   data : Temperature  & Salinity                           
+&namtsd    !   data : Temperature  & Salinity
 !-----------------------------------------------------------------------
 !          ! file name ! frequency (hours)    ! variable ! time interp. ! clim  !'yearly' or ! weights  ! rotation !
@@ -142,6 +142,6 @@
    ln_ana      = .false    !  analytical formulation (T => fill namsbc_ana )
    ln_flx      = .true.    !  flux formulation       (T => fill namsbc_flx )
-   ln_blk_clio = .false.   !  CLIO bulk formulation                     (T => fill namsbc_clio) 
-   ln_blk_core = .false.   !  CORE bulk formulation                     (T => fill namsbc_core) 
+   ln_blk_clio = .false.   !  CLIO bulk formulation                     (T => fill namsbc_clio)
+   ln_blk_core = .false.   !  CORE bulk formulation                     (T => fill namsbc_core)
    ln_blk_mfs  = .false.   !  MFS bulk formulation                      (T => fill namsbc_mfs )
    ln_cpl      = .false.   !  Coupled formulation                       (T => fill namsbc_cpl )
@@ -156,6 +156,6 @@
    ln_rnf      = .true.    !  runoffs                                   (T => fill namsbc_rnf)
    ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
-   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked 
-                           !     =1 global mean of e-p-r set to zero at each time step 
+   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked
+                           !     =1 global mean of e-p-r set to zero at each time step
                            !     =2 annual global mean of e-p-r set to zero
                            !     =3 global emp set to zero and spread out over erp area
@@ -185,5 +185,5 @@
    sn_emp      = 'amm12_flx'      ,          3        ,  'sowafldo'  ,  .true.      , .false. , 'daily'   ,  ''      ,  ''
    cn_dir      = './fluxes/'        !  root directory for the location of the flux files
-/      
+/
 !-----------------------------------------------------------------------
 &namsbc_clio   !   namsbc_clio  CLIO bulk formulae
@@ -242,20 +242,20 @@
 !                    !                       ! categories !  reference  !    orientation       ! grids  !
 ! send
-sn_snd_temp   =       'weighted oce and ice' ,    'no'    ,     ''      ,         ''           ,   ''    
-sn_snd_alb    =       'weighted ice'         ,    'no'    ,     ''      ,         ''           ,   ''    
-sn_snd_thick  =       'none'                 ,    'no'   ,     ''      ,         ''           ,   ''    
-sn_snd_crt    =       'none'                 ,    'no'    , 'spherical' , 'eastward-northward' ,  'T'       
-sn_snd_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''        
+sn_snd_temp   =       'weighted oce and ice' ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_alb    =       'weighted ice'         ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_thick  =       'none'                 ,    'no'   ,     ''      ,         ''           ,   ''
+sn_snd_crt    =       'none'                 ,    'no'    , 'spherical' , 'eastward-northward' ,  'T'
+sn_snd_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''
 ! receive
-sn_rcv_w10m   =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_taumod =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_tau    =       'oce only'             ,    'no'    , 'cartesian' , 'eastward-northward',  'U,V'   
-sn_rcv_dqnsdt =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_qsr    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_qns    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_emp    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_rnf    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_cal    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
-sn_rcv_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_w10m   =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_taumod =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_tau    =       'oce only'             ,    'no'    , 'cartesian' , 'eastward-northward',  'U,V'
+sn_rcv_dqnsdt =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_qsr    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_qns    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_emp    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_rnf    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_cal    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
 /
 !-----------------------------------------------------------------------
@@ -323,12 +323,12 @@
    ln_sssr_bnd =   .true.  !  flag to bound erp term (associated with nn_sssr=2)
    rn_sssr_bnd =   4.e0    !  ABS(Max/Min) value of the damping erp term [mm/day]
-/      
+/
 !-----------------------------------------------------------------------
 &namsbc_alb    !   albedo parameters
 !-----------------------------------------------------------------------
-   rn_cloud    =    0.06   !  cloud correction to snow and ice albedo 
+   rn_cloud    =    0.06   !  cloud correction to snow and ice albedo
    rn_albice   =    0.53   !  albedo of melting ice in the arctic and antarctic
    rn_alphd    =    0.80   !  coefficients for linear interpolation used to
-   rn_alphc    =    0.65   !  compute albedo between two extremes values 
+   rn_alphc    =    0.65   !  compute albedo between two extremes values
    rn_alphdi   =    0.72   !  (Pyane, 1972)
 /
@@ -370,5 +370,5 @@
 !!   namcla        cross land advection
 !!   namobc        open boundaries parameters                           ("key_obc")
-!!   namagrif      agrif nested grid ( read by child model only )       ("key_agrif") 
+!!   namagrif      agrif nested grid ( read by child model only )       ("key_agrif")
 !!   nambdy        Unstructured open boundaries                         ("key_bdy")
 !!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
@@ -392,5 +392,5 @@
    ln_obc_clim = .false.   !  climatological obc data files (T) or not (F)
    ln_vol_cst  = .true.    !  impose the total volume conservation (T) or not (F)
-   ln_obc_fla  = .false.   !  Flather open boundary condition 
+   ln_obc_fla  = .false.   !  Flather open boundary condition
    nn_obcdta   =    1      !  = 0 the obc data are equal to the initial state
                            !  = 1 the obc data are read in 'obc.dta' files
@@ -439,5 +439,5 @@
 &nambdy        !  unstructured open boundaries                          ("key_bdy")
 !-----------------------------------------------------------------------
-    nb_bdy = 1                            !  number of open boundary sets       
+    nb_bdy = 1                            !  number of open boundary sets
     ln_coords_file = .true.               !  =T : read bdy coordinates from file
     cn_coords_file = 'coordinates.bdy.nc' !  bdy coordinates files
@@ -475,5 +475,5 @@
 /
 !-----------------------------------------------------------------------
-&nambdy_tide     ! tidal forcing at open boundaries              
+&nambdy_tide     ! tidal forcing at open boundaries
 !-----------------------------------------------------------------------
    filtide      = 'bdydta/amm12_bdytide_'         !  file name root of tidal forcing files
@@ -483,5 +483,5 @@
 !!======================================================================
 !!   nambfr        bottom friction
-!!   nambbc        bottom temperature boundary condition               
+!!   nambbc        bottom temperature boundary condition
 !!   nambbl        bottom boundary layer scheme                         ("key_trabbl")
 !!======================================================================
@@ -505,7 +505,7 @@
 !-----------------------------------------------------------------------
    ln_trabbc   = .false.   !  Apply a geothermal heating at the ocean bottom
-   nn_geoflx   =    2      !  geothermal heat flux: = 0 no flux 
+   nn_geoflx   =    2      !  geothermal heat flux: = 0 no flux
                            !     = 1 constant flux
-                           !     = 2 variable flux (read in geothermal_heating.nc in mW/m2) 
+                           !     = 2 variable flux (read in geothermal_heating.nc in mW/m2)
    rn_geoflx_cst = 86.4e-3 !  Constant value of geothermal heat flux [W/m2]
 /
@@ -525,5 +525,5 @@
 !!   namtra_adv    advection scheme
 !!   namtra_ldf    lateral diffusion scheme
-!!   namtra_dmp    T & S newtonian damping                        
+!!   namtra_dmp    T & S newtonian damping
 !!======================================================================
 !
@@ -539,12 +539,12 @@
 /
 !-----------------------------------------------------------------------
-&namtra_adv    !   advection scheme for tracer 
-!-----------------------------------------------------------------------
-   ln_traadv_cen2   =  .false.  !  2nd order centered scheme   
-   ln_traadv_tvd    =  .true.   !  TVD scheme                
-   ln_traadv_muscl  =  .false.  !  MUSCL scheme             
-   ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries  
-   ln_traadv_ubs    =  .false.  !  UBS scheme                 
-   ln_traadv_qck    =  .false.  !  QUICKEST scheme                 
+&namtra_adv    !   advection scheme for tracer
+!-----------------------------------------------------------------------
+   ln_traadv_cen2   =  .false.  !  2nd order centered scheme
+   ln_traadv_tvd    =  .true.   !  TVD scheme
+   ln_traadv_muscl  =  .false.  !  MUSCL scheme
+   ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries
+   ln_traadv_ubs    =  .false.  !  UBS scheme
+   ln_traadv_qck    =  .false.  !  QUICKEST scheme
    ln_traadv_msc_ups=  .false.  !  use upstream scheme within muscl
 /
@@ -574,5 +574,5 @@
 /
 !-----------------------------------------------------------------------
-&namtra_dmp    !   tracer: T & S newtonian damping                  
+&namtra_dmp    !   tracer: T & S newtonian damping
 !-----------------------------------------------------------------------
    ln_tradmp   =  .false.  !  add a damping termn (T) or not (F)
@@ -602,20 +602,20 @@
 &namdyn_adv    !   formulation of the momentum advection
 !-----------------------------------------------------------------------
-   ln_dynadv_vec = .true.  !  vector form (T) or flux form (F)  
+   ln_dynadv_vec = .true.  !  vector form (T) or flux form (F)
    ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
-   ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme 
-/  
+   ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme
+/
 !-----------------------------------------------------------------------
 &namdyn_vor    !   option of physics/algorithm (not control by CPP keys)
 !-----------------------------------------------------------------------
-   ln_dynvor_ene = .false. !  enstrophy conserving scheme  
-   ln_dynvor_ens = .false. !  energy conserving scheme    
-   ln_dynvor_mix = .false. !  mixed scheme               
-   ln_dynvor_een = .true.  !  energy & enstrophy scheme  
+   ln_dynvor_ene = .false. !  energy    conserving scheme  
+   ln_dynvor_ens = .false. !  enstrophy conserving scheme    
+   ln_dynvor_mix = .false. !  mixed scheme
+   ln_dynvor_een = .true.  !  energy & enstrophy scheme
 /
 !-----------------------------------------------------------------------
 &namdyn_hpg    !   Hydrostatic pressure gradient option
 !-----------------------------------------------------------------------
-   ln_hpg_zco  = .false.   !  z-coordinate - full steps                   
+   ln_hpg_zco  = .false.   !  z-coordinate - full steps
    ln_hpg_zps  = .false.   !  z-coordinate - partial steps (interpolation)
    ln_hpg_sco  = .false.    !  s-coordinate (standard jacobian formulation)
@@ -635,12 +635,12 @@
 &namdyn_ldf    !   lateral diffusion on momentum
 !-----------------------------------------------------------------------
-   !                       !  Type of the operator : 
-   ln_dynldf_lap    =  .true.   !  laplacian operator         
+   !                       !  Type of the operator :
+   ln_dynldf_lap    =  .true.   !  laplacian operator
    ln_dynldf_bilap  =  .true.   !  bilaplacian operator
                            !  Direction of action  :
-   ln_dynldf_level  =  .false.  !  iso-level               
+   ln_dynldf_level  =  .false.  !  iso-level
    ln_dynldf_hor    =  .true.   !  horizontal (geopotential)            (require "key_ldfslp" in s-coord.)
    ln_dynldf_iso    =  .false.  !  iso-neutral                          (require "key_ldfslp")
-                           !  Coefficient 
+                           !  Coefficient
    rn_ahm_0_lap     = 60.0      !  horizontal laplacian eddy viscosity   [m2/s]
    rn_ahmb_0        =  0.0      !  background eddy viscosity for ldf_iso [m2/s]
@@ -718,11 +718,11 @@
 &namzdf_kpp    !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionally:
 !------------------------------------------------------------------------ "key_kppcustom" or "key_kpplktb")
-   ln_kpprimix = .true.    !  shear instability mixing 
+   ln_kpprimix = .true.    !  shear instability mixing
    rn_difmiw   =  1.0e-04  !  constant internal wave viscosity [m2/s]
    rn_difsiw   =  0.1e-04  !  constant internal wave diffusivity [m2/s]
    rn_riinfty  =  0.8      !  local Richardson Number limit for shear instability
    rn_difri    =  0.0050   !  maximum shear mixing at Rig = 0    [m2/s]
-   rn_bvsqcon  = -0.01e-07 !  Brunt-Vaisala squared for maximum convection [1/s2] 
-   rn_difcon   =  1.       !  maximum mixing in interior convection [m2/s] 
+   rn_bvsqcon  = -0.01e-07 !  Brunt-Vaisala squared for maximum convection [1/s2]
+   rn_difcon   =  1.       !  maximum mixing in interior convection [m2/s]
    nn_avb      =  0        !  horizontal averaged (=1) or not (=0) on avt and amv
    nn_ave      =  1        !  constant (=0) or profile (=1) background on avt
@@ -758,5 +758,5 @@
    rn_n2min    = 1.e-8     !  threshold of the Brunt-Vaisala frequency (s-1)
    rn_tfe      = 0.333     !  tidal dissipation efficiency
-   rn_me       = 0.2       !  mixing efficiency 
+   rn_me       = 0.2       !  mixing efficiency
    ln_tmx_itf  = .FALSE.   !  ITF specific parameterisation
    rn_tfe_itf  = 1.        !  ITF tidal dissipation efficiency
@@ -768,9 +768,9 @@
 !!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi)
 !!   namctl            Control prints & Benchmark
-!!   namsol            elliptic solver / island / free surface 
-!!======================================================================
-!
-!-----------------------------------------------------------------------
-&namsol        !   elliptic solver / island / free surface 
+!!   namsol            elliptic solver / island / free surface
+!!======================================================================
+!
+!-----------------------------------------------------------------------
+&namsol        !   elliptic solver / island / free surface
 !-----------------------------------------------------------------------
    nn_solv     =      1    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
@@ -818,5 +818,5 @@
 !!   namflo       float parameters                                      ("key_float")
 !!   namptr       Poleward Transport Diagnostics
-!!   namhsb       Heat and salt budgets 
+!!   namhsb       Heat and salt budgets
 !!======================================================================
 !
@@ -856,6 +856,6 @@
    jpnnewflo     = 0          !  number of floats for the restart
    ln_rstflo     = .false.    !  float restart (T) or not (F)
-   nn_writefl    =      75    !  frequency of writing in float output file 
-   nn_stockfl    =    5475    !  frequency of creation of the float restart file 
+   nn_writefl    =      75    !  frequency of writing in float output file
+   nn_stockfl    =    5475    !  frequency of creation of the float restart file
    ln_argo       = .false.    !  Argo type floats (stay at the surface each 10 days)
    ln_flork4     = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
@@ -869,5 +869,5 @@
    ln_diaptr  = .false.    !  Poleward heat and salt transport (T) or not (F)
    ln_diaznl  = .false.    !  Add zonal means and meridional stream functions
-   ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not 
+   ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not
                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
    ln_ptrcomp = .false.    !  Add decomposition : overturning
@@ -876,5 +876,5 @@
 /
 !-----------------------------------------------------------------------
-&namhsb       !  Heat and salt budgets 
+&namhsb       !  Heat and salt budgets
 !-----------------------------------------------------------------------
    ln_diahsb  = .false.    !  check the heat and salt budgets (T) or not (F)
@@ -908,15 +908,15 @@
 &namobs       !  observation usage switch                               ('key_diaobs')
 !-----------------------------------------------------------------------
-   ln_t3d     = .false.    ! Logical switch for T profile observations         
-   ln_s3d     = .false.    ! Logical switch for S profile observations          
-   ln_ena     = .false.    ! Logical switch for ENACT insitu data set           
-   !                       !     ln_cor                  Logical switch for Coriolis insitu data set       
-   ln_profb   = .false.    ! Logical switch for feedback insitu data set     
-   ln_sla     = .false.    ! Logical switch for SLA observations               
-
-   ln_sladt   = .false.    ! Logical switch for AVISO SLA data              
-
-   ln_slafb   = .false.    ! Logical switch for feedback SLA data            
-                           !     ln_ssh                  Logical switch for SSH observations              
+   ln_t3d     = .false.    ! Logical switch for T profile observations
+   ln_s3d     = .false.    ! Logical switch for S profile observations
+   ln_ena     = .false.    ! Logical switch for ENACT insitu data set
+   !                       !     ln_cor                  Logical switch for Coriolis insitu data set
+   ln_profb   = .false.    ! Logical switch for feedback insitu data set
+   ln_sla     = .false.    ! Logical switch for SLA observations
+
+   ln_sladt   = .false.    ! Logical switch for AVISO SLA data
+
+   ln_slafb   = .false.    ! Logical switch for feedback SLA data
+                           !     ln_ssh                  Logical switch for SSH observations
 
    ln_sst     = .true.     ! Logical switch for SST observations
@@ -924,56 +924,55 @@
    ln_ghrsst  = .false.    !     ln_ghrsst               Logical switch for GHRSST observations      
 
-   ln_sstfb   = .false.    ! Logical switch for feedback SST data          
-                           !     ln_sss                  Logical switch for SSS observations              
-                           !     ln_seaice               Logical switch for Sea Ice observations        
-                           !     ln_vel3d                Logical switch for velocity observations         
-                           !     ln_velavcur             Logical switch for velocity daily av. cur.    
-                           !     ln_velhrcur             Logical switch for velocity high freq. cur.   
-                           !     ln_velavadcp            Logical switch for velocity daily av. ADCP  
+   ln_sstfb   = .false.    ! Logical switch for feedback SST data
+                           !     ln_sss                  Logical switch for SSS observations
+                           !     ln_seaice               Logical switch for Sea Ice observations
+                           !     ln_vel3d                Logical switch for velocity observations
+                           !     ln_velavcur             Logical switch for velocity daily av. cur.
+                           !     ln_velhrcur             Logical switch for velocity high freq. cur.
+                           !     ln_velavadcp            Logical switch for velocity daily av. ADCP
                            !     ln_velhradcp            Logical switch for velocity high freq. ADCP
-                           !     ln_velfb                Logical switch for feedback velocity data       
-                           !     ln_grid_global          Global distribtion of observations         
-                           !     ln_grid_search_lookup   Logical switch for obs grid search w/lookup table  
-                           !     grid_search_file        Grid search lookup file header 
-                           !     enactfiles              ENACT input observation file names 
-                           !     coriofiles              Coriolis input observation file name  
-   !                       ! profbfiles: Profile feedback input observation file name 
+                           !     ln_velfb                Logical switch for feedback velocity data
+                           !     ln_grid_global          Global distribtion of observations
+                           !     ln_grid_search_lookup   Logical switch for obs grid search w/lookup table
+                           !     grid_search_file        Grid search lookup file header
+                           !     enactfiles              ENACT input observation file names
+                           !     coriofiles              Coriolis input observation file name
+   !                       ! profbfiles: Profile feedback input observation file name
    profbfiles = 'profiles_01.nc'
-                           !     ln_profb_enatim         Enact feedback input time setting switch    
+                           !     ln_profb_enatim         Enact feedback input time setting switch
                            !     slafilesact             Active SLA input observation file name
-                           !     slafilespas             Passive SLA input observation file name 
-   !                       ! slafbfiles: Feedback SLA input observation file name 
+                           !     slafilespas             Passive SLA input observation file name
+   !                       ! slafbfiles: Feedback SLA input observation file name
    slafbfiles = 'sla_01.nc'
-                           !     sstfiles                GHRSST input observation file name       
-   !                       ! sstfbfiles: Feedback SST input observation file name 
+                           !     sstfiles                GHRSST input observation file name
+   !                       ! sstfbfiles: Feedback SST input observation file name
    sstfbfiles = 'sst_01.nc' 'sst_02.nc' 'sst_03.nc' 'sst_04.nc' 'sst_05.nc'
-                           !     seaicefiles             Sea Ice input observation file name 
-                           !     velavcurfiles           Vel. cur. daily av. input file name  
-                           !     velhvcurfiles           Vel. cur. high freq. input file name  
-                           !     velavadcpfiles          Vel. ADCP daily av. input file name    
-                           !     velhvadcpfiles          Vel. ADCP high freq. input file name 
-                           !     velfbfiles              Vel. feedback input observation file name 
-                           !     dobsini                 Initial date in window YYYYMMDD.HHMMSS       
-                           !     dobsend                 Final date in window YYYYMMDD.HHMMSS         
-                           !     n1dint                  Type of vertical interpolation method        
-                           !     n2dint                  Type of horizontal interpolation method       
-                           !     ln_nea                  Rejection of observations near land switch    
-   nmsshc     = 0          ! MSSH correction scheme                         
-                           !     mdtcorr                 MDT  correction                               
-                           !     mdtcutoff               MDT cutoff for computed correction          
-   ln_altbias = .false.    ! Logical switch for alt bias                
-   ln_ignmis  = .true.     ! Logical switch for ignoring missing files   
-                           !     endailyavtypes   ENACT daily average types                    
+                           !     seaicefiles             Sea Ice input observation file name
+                           !     velavcurfiles           Vel. cur. daily av. input file name
+                           !     velhvcurfiles           Vel. cur. high freq. input file name
+                           !     velavadcpfiles          Vel. ADCP daily av. input file name
+                           !     velhvadcpfiles          Vel. ADCP high freq. input file name
+                           !     velfbfiles              Vel. feedback input observation file name
+                           !     dobsini                 Initial date in window YYYYMMDD.HHMMSS
+                           !     dobsend                 Final date in window YYYYMMDD.HHMMSS
+                           !     n1dint                  Type of vertical interpolation method
+                           !     n2dint                  Type of horizontal interpolation method
+                           !     ln_nea                  Rejection of observations near land switch
+   nmsshc     = 0          ! MSSH correction scheme
+                           !     mdtcorr                 MDT  correction
+                           !     mdtcutoff               MDT cutoff for computed correction
+   ln_altbias = .false.    ! Logical switch for alt bias
+   ln_ignmis  = .true.     ! Logical switch for ignoring missing files
+                           !     endailyavtypes   ENACT daily average types
    ln_grid_global = .true.
    ln_grid_search_lookup = .false.
-/ 
+/
 !-----------------------------------------------------------------------
 &nam_asminc   !   assimilation increments                               ('key_asminc')
 !-----------------------------------------------------------------------
-    ln_bkgwri = .false.    !  Logical switch for writing out background state 
-    ln_trjwri = .false.    !  Logical switch for writing out state trajectory
+    ln_bkgwri = .false.    !  Logical switch for writing out background state
     ln_trainc = .false.    !  Logical switch for applying tracer increments
     ln_dyninc = .false.    !  Logical switch for applying velocity increments
-    ln_sshinc = .false.    !  Logical switch for applying SSH increments 
+    ln_sshinc = .false.    !  Logical switch for applying SSH increments
     ln_asmdin = .false.    !  Logical switch for Direct Initialization (DI)
     ln_asmiau = .false.    !  Logical switch for Incremental Analysis Updating (IAU)
@@ -983,5 +982,4 @@
     nitiaufin = 15         !  Timestep of end of IAU interval in [0,nitend-nit000-1]
     niaufn    = 0          !  Type of IAU weighting function
-    nittrjfrq = 0          !  Frequency of trajectory output for 4D-VAR
     ln_salfix = .false.    !  Logical switch for ensuring that the sa > salfixmin
     salfixmin = -9999      !  Minimum salinity after applying the increments